# IO.Swagger.Model.Vineyard
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **long?** | Vineyard identificator. | [optional] 
**Name** | **string** |  | [optional] 
**Country** | **long?** | Country where winery is located. Represents identificator of taxonomy term in country taxonomy vocabulary. | [optional] 
**Region** | **string** | Region where winery is located. | [optional] 
**Phone** | **string** | Contact phone number of winery. | [optional] 
**Description** | **string** | A long description of winery. | [optional] 
**Logo** | **System.IO.Stream** |  | [optional] 
**Created** | **int?** | Timestamp when winery was created. | [optional] 
**Updated** | **int?** | Timestamp when winery was last modified. | [optional] 
**Website** | **string** |  | [optional] 
**Photos** | **List&lt;System.IO.Stream&gt;** | Photos of winery. Supported maximum 6 photos. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

