# IO.Swagger.Model.Vintage
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **long?** | Vintage identificator . | [optional] 
**Photo** | **System.IO.Stream** |  | [optional] 
**IsIGP** | **bool?** | Indicates if the _region_ is a protected geographical indication. | [optional] 
**StageOfProduction** | **long?** | Stage of vintage production. Represents identificator of taxonomy term in _stage_of_wine_production_ taxonomy vocabulary. | [optional] 
**ProductionVolume** | **float?** | Production volume. | [optional] 
**ProductionUnits** | **long?** | Production volume units. Represents identificator of taxonomy term in _production_volume_ taxonomy vocabulary. | [optional] 
**Alcohol** | **float?** | Amount of alcohol contained in vintage. | [optional] 
**Sugar** | **float?** | Amount of sugar contained in vintage. | [optional] 
**Year** | **int?** | A year when the vintage was produced. | [optional] 
**Created** | **int?** | Timestamp when vintage was created. | [optional] 
**Updated** | **int?** | Timestamp when vintage was last modified. | [optional] 
**Grapes** | **List&lt;List&lt;Object&gt;&gt;** | Grape sorts and their percentage in wine.  NOTE: Total _percentage_ MUST be in range of 0 and 100. | [optional] 
**Region** | **long?** | A region where the wine was produced. | [optional] 
**IncludeRegionInName** | **bool?** | Indicates if _region_ should be included in _wine_ _name_. | [optional] 
**CategorySimple** | **List&lt;string&gt;** |  | [optional] 
**CategoryProfessional** | **int?** |  | [optional] 
**Wine** | **int?** | Base wine. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

