# IO.Swagger.Model.Vocabulary
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **int?** | Taxonomy vocabulary identificator (_vid_). | [optional] 
**Name** | **string** | Displayable taxonomy vocabulary name. | [optional] 
**MachineName** | **string** | Unique untranslatable taxonomy vocabulary name. Сan be used as identificator. | [optional] 
**Description** | **string** | Short description of taxonomy vocabulary. | [optional] 
**Hierarchy** | **bool?** | Indicates if taxonomy vocabulary has hierarchical structure. If _FALSE_, term&#x27;s parent values are zero. | [optional] 
**Terms** | [**List&lt;Term&gt;**](Term.md) | Taxonomy terms contained in vocabulary. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

